%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define	rel	2
%define	release	%mkrel %{rel}

%define lib_major 0
%define lib_name %mklibname %name %lib_major

Summary: Small efficient C++ GUI library designed for games.
Summary(de): Kleine effiziente C++ GUI Bibliothek für Spiele
Name: guichan
Version: 0.8.2
Release: %release
License: BSD
Group: Development/Libraries
URL: http://guichan.sourceforge.net
Source: http://dl.sf.net/guichan/guichan-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: allegro-devel
BuildRequires: SDL-devel
BuildRequires: SDL_image-devel
BuildRequires: %{_lib}png-devel
BuildRequires: mesa-common-devel
BuildRequires: mesaglut-devel

%description
Guichan is a small, efficient C++ GUI library designed for games. It comes
with a standard set of widgets and can use several different backends for
displaying graphics and grabbing user input.

%description -l de
Guichan ist eine kleine effiziente C++ GUI Bibliothek für Spiele. Sie besitzt eine 
Standardauswahl an Minianwendungen und kann verschiedene Eingabeoberflächen zum 
Anzeigen von Grafik und zum Aufzeichnen von Benutzereingaben verwenden. 

%package -n %lib_name
Summary:	Small efficient C++ GUI library designed for games
Summary(de):	Kleine effiziente C++ GUI Bibliothek für Spiele
Group:		System/Libraries
Provides:	lib%name = %version-%release

%description -n %lib_name
Guichan is a small, efficient C++ GUI library designed for games. It comes
with a standard set of widgets and can use several different backends for
displaying graphics and grabbing user input.

%description -n %lib_name -l de
Guichan ist eine kleine effiziente C++ GUI Bibliothek für Spiele. Sie besitzt eine 
Standardauswahl an Minianwendungen und kann verschiedene Eingabeoberflächen zum 
Anzeigen von Grafik und zum Aufzeichnen von Benutzereingaben verwenden.

%package -n %lib_name-devel
Summary:	Development files for %lib_name
Summary(de):	Entwicklungsdateien für %lib_name
Group:		Development/C
Provides:	%name-devel = %version-%release
Requires:	%lib_name = %version-%release
Obsoletes:	lib%name-devel < %version-%release
Provides:	lib%name-devel = %version-%release

%description -n %lib_name-devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%description -n %lib_name-devel -l de
Dieses Paket enthält die Header Dateien, statischen Bibliotheken und 
Entwicklerdokumentationen für guichan. Wenn du Programme entwickeln möchtest, 
welche guichan verwenden, musst du guichan-devel installieren.

%prep
%setup -q -n %{name}-%{version}
perl -pi -e 's|gentoo_lt_version="1.5.10"|gentoo_lt_version="1.5.22"|g;' configure*
perl -pi -e 's|-Werror||g;' configure*

%build
autoreconf -fi
aclocal
perl -pi -e 's|-lGL|-L%_prefix/X11R6/%_lib -lGL|g;' configure
perl -pi -e 's|-lglut|-L%_prefix/X11R6/%_lib -lglut|g;' configure
./configure 
#--disable-static
make

%install
rm -rf %buildroot
%makeinstall

%post -n %lib_name
/sbin/ldconfig

%postun -n %lib_name
/sbin/ldconfig

%clean
rm -rf %buildroot

%files -n %lib_name
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%_libdir/libguichan*.so.*

%files  -n %lib_name-devel
%defattr(-, root, root, 0755)
%_includedir/guichan.hpp
%_includedir/guichan/
%_libdir/libguichan*.a
%_libdir/libguichan*.so
%_libdir/*.la
%_libdir/pkgconfig/*.pc


%changelog
* Sun Jun 03 2012 Neal <nealbrks0 at gmail dot com> 0.8.2-2pclos2012
- process

* Sun Jun 03 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.8.2-2pclos2012
- rebuild for 64bit and 32bit
- added xz compression
- added %{_lib} macro
- added german summaries and descriptions
- renamed spec to pclos-guichan.spec
- replaced configure and make macros by the non macro commands ./configure  make

* Mon Feb 15 2010 slick50 <lxgator@gmail.com> 0.8.2-1pclos2010
- 0.8.2

* Fri Aug 22 2008 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.8.1-1
- 0.8.1

* Thu May 31 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.6.1-1
- 0.6.1

* Thu Dec 07 2006 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.50-3
- initial build for pclinuxos 2007

* Fri Sep 06 2006 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.5.0-2
- Add support for opengl and glut

* Fri Sep 06 2006 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.5.0-1
- 0.5.0

* Mon Aug 07 2006 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.4.0-2
- Rebuild for mde
- Fix spec

* Sun Aug 06 2006 Marcelo Garrone <mgarrone@users.sf.net> - 0.4.0-1
- Initial package.
